Imports System.Net
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Animation
Imports System.Windows.Shapes
Imports C1.Silverlight.FlexGrid

Namespace HitTestTemplate
	Partial Public Class MainPage
		Inherits UserControl
		Public Sub New()
			InitializeComponent()
			_flex.ItemsSource = Customer.GetCustomerList(100)
		End Sub

		Private Sub _flex_MouseMove(ByVal sender As Object, ByVal e As MouseEventArgs)
			Dim ht = _flex.HitTest(e)
			_tb.Text = String.Format("HitTest Result:: cell type: {0}, row: {1}, column: {2}, cell content: '{3}'", ht.CellType, ht.Row, ht.Column,If(ht.CellRange.IsValid, _flex(ht.Row, ht.Column), "n/a"))
		End Sub
	End Class
End Namespace
